Package org.apache.cayenne.ejbql

## Class EJBQLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cayenne.CayenneRuntimeException
        - - org.apache.cayenne.exp.ExpressionException
          - - org.apache.cayenne.ejbql.EJBQLException

- All Implemented Interfaces:
    `Serializable`

      public class EJBQLException
      extends ExpressionException

  An exception thrown on errors during parsing EJBQL statements.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.exp.ExpressionException

      `expressionString`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EJBQLException()` |
    `EJBQLException​(String messageFormat, Object... messageArgs)` |
    `EJBQLException​(String messageFormat, String expressionString, Throwable th, Object... messageArgs)` |
    `EJBQLException​(String messageFormat, Throwable cause, Object... messageArgs)` |
    `EJBQLException​(Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.cayenne.exp.ExpressionException

      `getExpressionString`

    - ### Methods inherited from class org.apache.cayenne.CayenneRuntimeException

      `getExceptionLabel, getMessage, getUnlabeledMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EJBQLException

          public EJBQLException()

    - #### EJBQLException

          public EJBQLException​(String messageFormat,
                                Object... messageArgs)

    - #### EJBQLException

          public EJBQLException​(String messageFormat,
                                String expressionString,
                                Throwable th,
                                Object... messageArgs)

    - #### EJBQLException

          public EJBQLException​(String messageFormat,
                                Throwable cause,
                                Object... messageArgs)

    - #### EJBQLException

          public EJBQLException​(Throwable cause)